package com.tmerclub.cloud.systemtest.data.platform;

import com.tmerclub.cloud.user.dto.UserRightsDTO;

import java.util.ArrayList;

/**
 * @author lpj
 */
public class UserRightsDtoData {
    /**
     * 平台打8折
     */
    public static UserRightsDTO getDiscounttUserRightsDTO(Integer discount) {
        UserRightsDTO userRightsDTO = new UserRightsDTO();
        userRightsDTO.setCouponIds(new ArrayList<>());
        userRightsDTO.setDescription("自动化打8折");
        userRightsDTO.setDetails("<p>自动化打8折</p>");
        userRightsDTO.setDiscount(discount);
        userRightsDTO.setDiscountRange(0);
        userRightsDTO.setFreeFeeType(2);
        userRightsDTO.setIcon("/test.png");
        userRightsDTO.setPresScore(0L);
        userRightsDTO.setRateScore(0);
        userRightsDTO.setRightsId(null);
        userRightsDTO.setRightsName("自动化打8折");
        userRightsDTO.setRightsType(4);
        userRightsDTO.setSeq(1);

        return userRightsDTO;
    }

    /**
     * 平台包邮
     */
    public static UserRightsDTO getFreeFeeUserRightsDTO() {
        UserRightsDTO userRightsDTO = new UserRightsDTO();
        userRightsDTO.setCouponIds(new ArrayList<>());
        userRightsDTO.setDescription("平台包邮");
        userRightsDTO.setDetails("<p>平台包邮</p>");
        userRightsDTO.setDiscount(null);
        userRightsDTO.setDiscountRange(0);
        userRightsDTO.setFreeFeeType(1);
        userRightsDTO.setIcon("/test.png");
        userRightsDTO.setPresScore(0L);
        userRightsDTO.setRateScore(0);
        userRightsDTO.setRightsId(null);
        userRightsDTO.setRightsName("平台包邮");
        userRightsDTO.setRightsType(5);
        userRightsDTO.setSeq(1);

        return userRightsDTO;
    }
}
